/// <reference types="node" />
import { Request } from './request';
interface Part {
    name: string;
    data?: Buffer;
    filename?: string;
}
export declare class MultipartForm {
    readonly request: Request;
    private options;
    private contentTypeHeader;
    private parts;
    constructor(request: Request);
    getRequest(): Request;
    getBoundary(contentType: string): string;
    getParts(body: string, boundary: string): Part[];
}
export {};
