import * as ts from 'typescript';
import { PlyOptions } from './options';
import { TsCompileOptions } from './compile';
import { Suite } from './suite';
import { Case } from './case';
export declare class CaseLoader {
    private options;
    private compileOptions;
    private program;
    private checker;
    private skip;
    constructor(sourceFiles: string[], options: PlyOptions, compileOptions: TsCompileOptions);
    load(): Promise<Suite<Case>[]>;
    private findSuites;
    private findSuiteDecoration;
    private findCases;
    private findCaseDecoration;
    isExported(node: ts.Node): boolean;
}
