import { PlyOptions } from './options';
import { Suite } from './suite';
import { Retrieval } from './retrieval';
import { Request } from './request';
import { ResultPaths } from './result';
export declare class RequestLoader {
    readonly locations: string[];
    private options;
    private skip;
    constructor(locations: string[], options: PlyOptions);
    load(): Promise<Suite<Request>[]>;
    sync(): Suite<Request>[];
    loadSuite(retrieval: Retrieval): Promise<Suite<Request>>;
    syncSuite(retrieval: Retrieval): Suite<Request>;
    buildSuite(retrieval: Retrieval, contents: string, resultPaths: ResultPaths): Suite<Request>;
}
